Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network53.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
53.0.0.0
Broadcast address
53.255.255.255
First usable
53.0.0.1
Last usable
53.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 35000000 · Integer 889192448 to 905969663
Reverse DNS zone
53.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00110101..00000000.00000000.0000000053.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network00110101..00000000.00000000.0000000053.0.0.0
Broadcast00110101..11111111.11111111.1111111153.255.255.255
Split into smaller subnets/15

53.0.0.0/8 makes 128 subnets of /15.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
153.0.0.0/1553.0.0.1 to 53.1.255.25453.1.255.255131,070
253.2.0.0/1553.2.0.1 to 53.3.255.25453.3.255.255131,070
353.4.0.0/1553.4.0.1 to 53.5.255.25453.5.255.255131,070
453.6.0.0/1553.6.0.1 to 53.7.255.25453.7.255.255131,070
553.8.0.0/1553.8.0.1 to 53.9.255.25453.9.255.255131,070
653.10.0.0/1553.10.0.1 to 53.11.255.25453.11.255.255131,070
753.12.0.0/1553.12.0.1 to 53.13.255.25453.13.255.255131,070
853.14.0.0/1553.14.0.1 to 53.15.255.25453.15.255.255131,070
953.16.0.0/1553.16.0.1 to 53.17.255.25453.17.255.255131,070
1053.18.0.0/1553.18.0.1 to 53.19.255.25453.19.255.255131,070
1153.20.0.0/1553.20.0.1 to 53.21.255.25453.21.255.255131,070
1253.22.0.0/1553.22.0.1 to 53.23.255.25453.23.255.255131,070
1353.24.0.0/1553.24.0.1 to 53.25.255.25453.25.255.255131,070
1453.26.0.0/1553.26.0.1 to 53.27.255.25453.27.255.255131,070
1553.28.0.0/1553.28.0.1 to 53.29.255.25453.29.255.255131,070
1653.30.0.0/1553.30.0.1 to 53.31.255.25453.31.255.255131,070
1753.32.0.0/1553.32.0.1 to 53.33.255.25453.33.255.255131,070
1853.34.0.0/1553.34.0.1 to 53.35.255.25453.35.255.255131,070
1953.36.0.0/1553.36.0.1 to 53.37.255.25453.37.255.255131,070
2053.38.0.0/1553.38.0.1 to 53.39.255.25453.39.255.255131,070
2153.40.0.0/1553.40.0.1 to 53.41.255.25453.41.255.255131,070
2253.42.0.0/1553.42.0.1 to 53.43.255.25453.43.255.255131,070
2353.44.0.0/1553.44.0.1 to 53.45.255.25453.45.255.255131,070
2453.46.0.0/1553.46.0.1 to 53.47.255.25453.47.255.255131,070
2553.48.0.0/1553.48.0.1 to 53.49.255.25453.49.255.255131,070
2653.50.0.0/1553.50.0.1 to 53.51.255.25453.51.255.255131,070
2753.52.0.0/1553.52.0.1 to 53.53.255.25453.53.255.255131,070
2853.54.0.0/1553.54.0.1 to 53.55.255.25453.55.255.255131,070
2953.56.0.0/1553.56.0.1 to 53.57.255.25453.57.255.255131,070
3053.58.0.0/1553.58.0.1 to 53.59.255.25453.59.255.255131,070
3153.60.0.0/1553.60.0.1 to 53.61.255.25453.61.255.255131,070
3253.62.0.0/1553.62.0.1 to 53.63.255.25453.63.255.255131,070
3353.64.0.0/1553.64.0.1 to 53.65.255.25453.65.255.255131,070
3453.66.0.0/1553.66.0.1 to 53.67.255.25453.67.255.255131,070
3553.68.0.0/1553.68.0.1 to 53.69.255.25453.69.255.255131,070
3653.70.0.0/1553.70.0.1 to 53.71.255.25453.71.255.255131,070
3753.72.0.0/1553.72.0.1 to 53.73.255.25453.73.255.255131,070
3853.74.0.0/1553.74.0.1 to 53.75.255.25453.75.255.255131,070
3953.76.0.0/1553.76.0.1 to 53.77.255.25453.77.255.255131,070
4053.78.0.0/1553.78.0.1 to 53.79.255.25453.79.255.255131,070
4153.80.0.0/1553.80.0.1 to 53.81.255.25453.81.255.255131,070
4253.82.0.0/1553.82.0.1 to 53.83.255.25453.83.255.255131,070
4353.84.0.0/1553.84.0.1 to 53.85.255.25453.85.255.255131,070
4453.86.0.0/1553.86.0.1 to 53.87.255.25453.87.255.255131,070
4553.88.0.0/1553.88.0.1 to 53.89.255.25453.89.255.255131,070
4653.90.0.0/1553.90.0.1 to 53.91.255.25453.91.255.255131,070
4753.92.0.0/1553.92.0.1 to 53.93.255.25453.93.255.255131,070
4853.94.0.0/1553.94.0.1 to 53.95.255.25453.95.255.255131,070
4953.96.0.0/1553.96.0.1 to 53.97.255.25453.97.255.255131,070
5053.98.0.0/1553.98.0.1 to 53.99.255.25453.99.255.255131,070
5153.100.0.0/1553.100.0.1 to 53.101.255.25453.101.255.255131,070
5253.102.0.0/1553.102.0.1 to 53.103.255.25453.103.255.255131,070
5353.104.0.0/1553.104.0.1 to 53.105.255.25453.105.255.255131,070
5453.106.0.0/1553.106.0.1 to 53.107.255.25453.107.255.255131,070
5553.108.0.0/1553.108.0.1 to 53.109.255.25453.109.255.255131,070
5653.110.0.0/1553.110.0.1 to 53.111.255.25453.111.255.255131,070
5753.112.0.0/1553.112.0.1 to 53.113.255.25453.113.255.255131,070
5853.114.0.0/1553.114.0.1 to 53.115.255.25453.115.255.255131,070
5953.116.0.0/1553.116.0.1 to 53.117.255.25453.117.255.255131,070
6053.118.0.0/1553.118.0.1 to 53.119.255.25453.119.255.255131,070
6153.120.0.0/1553.120.0.1 to 53.121.255.25453.121.255.255131,070
6253.122.0.0/1553.122.0.1 to 53.123.255.25453.123.255.255131,070
6353.124.0.0/1553.124.0.1 to 53.125.255.25453.125.255.255131,070
6453.126.0.0/1553.126.0.1 to 53.127.255.25453.127.255.255131,070
6553.128.0.0/1553.128.0.1 to 53.129.255.25453.129.255.255131,070
6653.130.0.0/1553.130.0.1 to 53.131.255.25453.131.255.255131,070
6753.132.0.0/1553.132.0.1 to 53.133.255.25453.133.255.255131,070
6853.134.0.0/1553.134.0.1 to 53.135.255.25453.135.255.255131,070
6953.136.0.0/1553.136.0.1 to 53.137.255.25453.137.255.255131,070
7053.138.0.0/1553.138.0.1 to 53.139.255.25453.139.255.255131,070
7153.140.0.0/1553.140.0.1 to 53.141.255.25453.141.255.255131,070
7253.142.0.0/1553.142.0.1 to 53.143.255.25453.143.255.255131,070
7353.144.0.0/1553.144.0.1 to 53.145.255.25453.145.255.255131,070
7453.146.0.0/1553.146.0.1 to 53.147.255.25453.147.255.255131,070
7553.148.0.0/1553.148.0.1 to 53.149.255.25453.149.255.255131,070
7653.150.0.0/1553.150.0.1 to 53.151.255.25453.151.255.255131,070
7753.152.0.0/1553.152.0.1 to 53.153.255.25453.153.255.255131,070
7853.154.0.0/1553.154.0.1 to 53.155.255.25453.155.255.255131,070
7953.156.0.0/1553.156.0.1 to 53.157.255.25453.157.255.255131,070
8053.158.0.0/1553.158.0.1 to 53.159.255.25453.159.255.255131,070
8153.160.0.0/1553.160.0.1 to 53.161.255.25453.161.255.255131,070
8253.162.0.0/1553.162.0.1 to 53.163.255.25453.163.255.255131,070
8353.164.0.0/1553.164.0.1 to 53.165.255.25453.165.255.255131,070
8453.166.0.0/1553.166.0.1 to 53.167.255.25453.167.255.255131,070
8553.168.0.0/1553.168.0.1 to 53.169.255.25453.169.255.255131,070
8653.170.0.0/1553.170.0.1 to 53.171.255.25453.171.255.255131,070
8753.172.0.0/1553.172.0.1 to 53.173.255.25453.173.255.255131,070
8853.174.0.0/1553.174.0.1 to 53.175.255.25453.175.255.255131,070
8953.176.0.0/1553.176.0.1 to 53.177.255.25453.177.255.255131,070
9053.178.0.0/1553.178.0.1 to 53.179.255.25453.179.255.255131,070
9153.180.0.0/1553.180.0.1 to 53.181.255.25453.181.255.255131,070
9253.182.0.0/1553.182.0.1 to 53.183.255.25453.183.255.255131,070
9353.184.0.0/1553.184.0.1 to 53.185.255.25453.185.255.255131,070
9453.186.0.0/1553.186.0.1 to 53.187.255.25453.187.255.255131,070
9553.188.0.0/1553.188.0.1 to 53.189.255.25453.189.255.255131,070
9653.190.0.0/1553.190.0.1 to 53.191.255.25453.191.255.255131,070
9753.192.0.0/1553.192.0.1 to 53.193.255.25453.193.255.255131,070
9853.194.0.0/1553.194.0.1 to 53.195.255.25453.195.255.255131,070
9953.196.0.0/1553.196.0.1 to 53.197.255.25453.197.255.255131,070
10053.198.0.0/1553.198.0.1 to 53.199.255.25453.199.255.255131,070
10153.200.0.0/1553.200.0.1 to 53.201.255.25453.201.255.255131,070
10253.202.0.0/1553.202.0.1 to 53.203.255.25453.203.255.255131,070
10353.204.0.0/1553.204.0.1 to 53.205.255.25453.205.255.255131,070
10453.206.0.0/1553.206.0.1 to 53.207.255.25453.207.255.255131,070
10553.208.0.0/1553.208.0.1 to 53.209.255.25453.209.255.255131,070
10653.210.0.0/1553.210.0.1 to 53.211.255.25453.211.255.255131,070
10753.212.0.0/1553.212.0.1 to 53.213.255.25453.213.255.255131,070
10853.214.0.0/1553.214.0.1 to 53.215.255.25453.215.255.255131,070
10953.216.0.0/1553.216.0.1 to 53.217.255.25453.217.255.255131,070
11053.218.0.0/1553.218.0.1 to 53.219.255.25453.219.255.255131,070
11153.220.0.0/1553.220.0.1 to 53.221.255.25453.221.255.255131,070
11253.222.0.0/1553.222.0.1 to 53.223.255.25453.223.255.255131,070
11353.224.0.0/1553.224.0.1 to 53.225.255.25453.225.255.255131,070
11453.226.0.0/1553.226.0.1 to 53.227.255.25453.227.255.255131,070
11553.228.0.0/1553.228.0.1 to 53.229.255.25453.229.255.255131,070
11653.230.0.0/1553.230.0.1 to 53.231.255.25453.231.255.255131,070
11753.232.0.0/1553.232.0.1 to 53.233.255.25453.233.255.255131,070
11853.234.0.0/1553.234.0.1 to 53.235.255.25453.235.255.255131,070
11953.236.0.0/1553.236.0.1 to 53.237.255.25453.237.255.255131,070
12053.238.0.0/1553.238.0.1 to 53.239.255.25453.239.255.255131,070
12153.240.0.0/1553.240.0.1 to 53.241.255.25453.241.255.255131,070
12253.242.0.0/1553.242.0.1 to 53.243.255.25453.243.255.255131,070
12353.244.0.0/1553.244.0.1 to 53.245.255.25453.245.255.255131,070
12453.246.0.0/1553.246.0.1 to 53.247.255.25453.247.255.255131,070
12553.248.0.0/1553.248.0.1 to 53.249.255.25453.249.255.255131,070
12653.250.0.0/1553.250.0.1 to 53.251.255.25453.251.255.255131,070
12753.252.0.0/1553.252.0.1 to 53.253.255.25453.253.255.255131,070
12853.254.0.0/1553.254.0.1 to 53.255.255.25453.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses